### A free/open-source library for quantitative finance

Public Member Functions
BlackCdsOptionEngine Class Reference

Black-formula CDS-option engine. More...

`#include <ql/experimental/credit/blackcdsoptionengine.hpp>`

Inheritance diagram for BlackCdsOptionEngine:
[legend]

List of all members.

## Public Member Functions

| BlackCdsOptionEngine (const Handle< DefaultProbabilityTermStructure > &, Real recoveryRate, const Handle< YieldTermStructure > &termStructure, const Handle< Quote > &vol)
void | calculate () const
Handle< YieldTermStructure > | termStructure ()
Handle< Quote > | volatility ()

## Detailed Description

Black-formula CDS-option engine.

Warning:
  The engine assumes that the exercise date equals the start date of the passed CDS.